Package org.jboss.resteasy.wadl

## Class ResteasyWadlServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.jboss.resteasy.wadl.ResteasyWadlServlet

- All Implemented Interfaces:
    `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

      @Deprecated
      public class ResteasyWadlServlet
      extends javax.servlet.http.HttpServlet

  Deprecated.
  Author:
    Weinan Li This servlet does not support grammars. Use @org.jboss.resteasy.wadl.ResteasyWadlDefaultServlet instead.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResteasyWadlServlet()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ResteasyWadlServletWriter` | `getWadlWriter()` | Deprecated.
    `void` | `init​(javax.servlet.ServletConfig config)` | Deprecated.
    `void` | `scanResources()` | Deprecated.
    `protected void` | `service​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)` | Deprecated.

    - ### Methods inherited from class javax.servlet.http.HttpServlet

      `doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service`

    - ### Methods inherited from class javax.servlet.GenericServlet

      `destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResteasyWadlServlet

          public ResteasyWadlServlet()

      Deprecated.

  - ### Method Detail

    - #### getWadlWriter

          public ResteasyWadlServletWriter getWadlWriter()

      Deprecated.

    - #### init

          public void init​(javax.servlet.ServletConfig config)
                    throws javax.servlet.ServletException

      Deprecated.
      Specified by:
        `init` in interface `javax.servlet.Servlet`
      Overrides:
        `init` in class `javax.servlet.GenericServlet`
      Throws:
        `javax.servlet.ServletException`

    - #### service

          protected void service​(javax.servlet.http.HttpServletRequest req,
                                 javax.servlet.http.HttpServletResponse resp)
                          throws IOException

      Deprecated.
      Overrides:
        `service` in class `javax.servlet.http.HttpServlet`
      Throws:
        `IOException`

    - #### scanResources

          public void scanResources()

      Deprecated.